#ifndef AR3CMON_MEM_MIN

#define AR3CMON_MEM_MIN				kB_B(128)	/* 128kB */
#define AR3CMON_MEM_LOW				kB_B(31000)	/* ~30MB */
#define AR3CMON_MEM_HIGH			kB_B(32768)	/* 32MB */
#endif

#ifndef AR3CMON_MEM_LOW_AUTOTUNE
#define AR3CMON_MEM_LOW_AUTOTUNE(x)	(ar3cmon_autotune(x) - kB_B(1024))
#define AR3CMON_MEM_HIGH_AUTOTUNE(x)	ar3cmon_autotune(x)

#ifndef AR3CMON_MEM_AUTOTUNE_MAX_MB
#define AR3CMON_MEM_AUTOTUNE_MAX_MB	256
#endif

#ifndef AR3CMON_MEM_AUTOTUNE_RATIO
#define AR3CMON_MEM_AUTOTUNE_RATIO(physmem)	((physmem) >> 2)
#endif

static unsigned long ar3cmon_autotune(unsigned long long physmem)
	__attribute__((const, unused));

static unsigned long ar3cmon_autotune(unsigned long long physmem)
{
	unsigned long long size = AR3CMON_MEM_AUTOTUNE_RATIO(physmem);
	unsigned long long max_size = MB_B(AR3CMON_MEM_AUTOTUNE_MAX_MB);

	if (size >= AR3CMON_MEM_AUTOTUNE_RATIO(MB_B(20)))
		size -= AR3CMON_MEM_AUTOTUNE_RATIO(MB_B(20));
	else
		size = 0;

	size += kB_B(1536);
	if (size > max_size)
		size = max_size;
	return size;
}

#endif
