/*
 * ar3cmonitor - jumpdlg.cpp
 *
 * 	Jump Dialog
 * 
 * Copyright (C) 2006, 2007  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "ar3cmonitor.h"
#include "consts.h"

#include <qlabel.h>
#include <qpainter.h>

#include "jumpdlg.h"

JumpDialog::JumpDialog(unsigned long long time, QWidget *parent)
	: QDialog(parent)
{
	QDateTime t;
	
	t.setTime_t(time / 1000000000ULL);

	vl = new QVBoxLayout(this, 8);

	dte = new QDateTimeEdit(t, this);
#if QT_VERSION >= 0x40000
	dte->setDisplayFormat("dd-MM-yyyy hh:mm:ss");
#else
	dte->dateEdit()->setOrder(QDateEdit::YMD);
#endif
	vl->addWidget(dte);
	dte->show();
	
	hl = new QHBoxLayout(vl);

	ok = new QPushButton(tr("OK"), this);
	connect(ok, SIGNAL(clicked()), this, SLOT(ok_clicked()));
	hl->addWidget(ok);
	ok->show();
	
	cancel = new QPushButton(tr("Cancel"), this);
	connect(cancel, SIGNAL(clicked()), this, SLOT(cancel_clicked()));
	hl->addWidget(cancel);
	cancel->show();
}

void JumpDialog::ok_clicked()
{
	if (!CO->reviewMode())
		CO->enterReviewMode();
	CO->setCursor(dte->dateTime().toTime_t() * 1000000000ULL);
	close();
}

void JumpDialog::cancel_clicked()
{
	close();
}

JumpDialog::~JumpDialog()
{
	delete cancel;
	delete ok;
	delete dte;
	delete hl;
	delete vl;
}
