/*
 * ar3cmonitor - jumpdlg_nodte.h
 *
 * 	Jump Dialog - without DateTimeEdit
 * 
 * Copyright (C) 2006, 2007  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef JUMPDLG_NODTE_H_INCLUDED
#define JUMPDLG_NODTE_H_INCLUDED

#include "consts.h"

#include <qwidget.h>
#include <qdialog.h>
#include <qlayout.h>

#include "control.h"
#include <time.h>

class JumpDialog : public QDialog {
	Q_OBJECT

private:
	time_t cur_time;
	QLabel *l;
	QPushButton *mu, *md, *du, *dd, *hu, *hd, *Mu, *Md, *su, *sd;
	QHBoxLayout *hl2, *hl3;
	QHBoxLayout *hl;
	QVBoxLayout *vl;
	QPushButton *ok, *cancel;

	void update_label();

private slots:
	void ok_clicked();
	void cancel_clicked();
	void mu_clicked();
	void du_clicked();
	void hu_clicked();
	void Mu_clicked();
	void su_clicked();
	
	void md_clicked();
	void dd_clicked();
	void hd_clicked();
	void Md_clicked();
	void sd_clicked();

public:
	JumpDialog(unsigned long long time, QWidget *parent = 0);
	~JumpDialog();
};

#endif
