/*
 * ar3cmonitor - niceformat.h 
 * Copyright (C) 2009  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Fundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __NICEFORMAT_H
#define __NICEFORMAT_H

#include <stddef.h>

#define	PREC_SDIGITS		0x100	/* number of significant digits */
#define	PREC_LZERO		0x200	/* show leading zeros */
#define	PREC_MODE_MASK		0xff00
#define	PREC_DIGITS_MASK	0xff

typedef unsigned int prec_t;

#ifdef __cplusplus
extern "C" {
#endif

void niceformat(char *buf, size_t size, float unit_value, float min_v,
		float max_v, float v, prec_t prec);

void str_niceformat(char *buf, size_t size, float unit_value, float min_v,
		float max_v, prec_t prec);


#ifdef __cplusplus
}
#endif

#endif
