/*
 * ar3cmonitor - settime.h
 *
 * 	Set datalogger time
 * 
 * Copyright (C) 2006, 2007, 2008  Krzysztof Mazur <krzysiek@podlesie.net>
 * Copyright (C) 2008  Krzysztof Kasperski <casper@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef SETTIME_H_INCLUDED
#define SETTIME_H_INCLUDED

#include "consts.h"

#include <qwidget.h>
#include <qdialog.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcheckbox.h>

#include "control.h"
#include <time.h>

#if QT_VERSION >= 0x40000
# include <QDateTimeEdit>
#elif QT_VERSION >= 0x30000
# include <qdatetimeedit.h>
#else
# error "This version of settime requires qt >= 3.0.0."
#endif

class SetTime : public QDialog {
	Q_OBJECT

private:
	QLabel *lb;
	QLineEdit *le;
	QDateTimeEdit *dte;
	QHBoxLayout *hl, *h0, *h1, *h2, *h3;
	QVBoxLayout *vl;
	QPushButton *set, *cancel;
	QPushButton *key1,*key2, *key3, *key4, *key5, *key6, *key7, *key8, *key9;
	QCheckBox *cb;

private slots:
	void set_clicked();
	void cancel_clicked();
	void check_pin(const QString& str);
	void key1_clicked();
	void key2_clicked();
	void key3_clicked();
	void key4_clicked();
	void key5_clicked();
	void key6_clicked();
	void key7_clicked();
	void key8_clicked();
	void key9_clicked();

public:
	SetTime(unsigned long long time, QWidget *parent = 0);
	~SetTime();
};

int add_pin_action(const char *pin, const char *command);

#endif
