/*
 * ar3cctrl - token.c 
 * Copyright (C) 2008  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Fundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __TOKEN_H
#define __TOKEN_H

#include <stddef.h>

#define SHA1_TOKEN_SIZE		20

struct token {
	unsigned long long ttl;
	void *data;
	size_t size;
	unsigned int type;
};

#ifdef __cplusplus
extern "C" {
#endif
int token_init(struct token *t, unsigned int types, unsigned long long ttl);
int token_generate(struct token *t);
int token_load(struct token *t, void *buf, size_t len);
struct token *token_alloc(unsigned int types, unsigned long long ttl);
void token_destroy(struct token *t);
void token_free(struct token *t);
#ifdef __cplusplus
};
#endif

#endif
